Bug 98586 - I18N - need setup for building ml components if its not done by RE
I18N - need setup for building ml components if its not done by RE
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: NBI
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Kirill Sorokin
issues@installer
: I18N
Depends on: 109066
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-22 03:24 UTC by Ken Frank
Modified: 2008-05-05 17:56 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2007-03-22 03:24:24 UTC
Am guessing here at subcat.

If zips/nbms of components that will be chosen by user into an installer

come from various RE builds of the packs, then this issue probably does not
belong her but under nbbuild and I can file separate.

What is needed is setup so that when its time for having ml installers, that
there is setup to use ml bits of all nb packs/componenets as well
as ml bits provided bt runtimes.

In past, ml builds were done by RE on each pack/product and installer
gets those and configured ml installer; I dont know if that is still the model
or if nbi does it differently.

But even if RE does it still, maybe this is valid for task of nbi itself setting up
if needed for future ml builds ?
Comment 1 Ken Frank 2007-07-07 06:05:34 UTC
Since it seems there will be langpacks and not ml builds, I'll file separate issue
about that; but if we will continue to have ml builds, we can use this
issue; please let me know which approach will be used.

ken.frank@sun.com
Comment 2 Kirill Sorokin 2007-07-09 13:41:17 UTC
Well, the process of building ML components (whether they be langpacks or whatever) is still relevant. I'm marking this
issue as a dependent on the langpacks one. It's also incomplete as the details have not been decided.
Comment 3 Ken Frank 2007-07-20 20:52:55 UTC
now I understand more - once RE builds/delivers a given langpack zip for some locale -
then installer team adds logic/data jar files and bundle files within them -and other things -  and thats what this
issue is about.

In this case, the bundle files inside the logic,1.jar of the loccalized zip,  will need to come from wherever
translation teams are told to putback
the translated files from the installer l10n kit  - is this accurate ? 

and can that location  be the same translatedfiles/src as for
other product translated files ?

I can then get a test installer from a test web page or directly, that has some pseudo localized or even
empty langpack zip from BE, that then has had the en bundle files added to them, and can then
pseudo localize those bundle files and do early testing.

ken.frank@sun.com

of course, the r
Comment 4 Ken Frank 2007-07-20 22:13:14 UTC
see nbbuild 98676 for the BE part of this.

ken.frank@sun.com
Comment 5 Ken Frank 2007-09-25 19:42:09 UTC
now that there will be no langpacks for nb6, the tasks of this issue would be just
to get the one ml zip or zips (if by component)
and do the same tasks for that as described in this task.

I think incomplete keywd is still valid since not yet know about if one zip with all locales
or multiple component zips with all locales in each.

ken.frank@sun.com
Comment 6 dlipin 2008-05-05 17:56:29 UTC
Close the task as fixed. The setup for handling ml runtimes (glassfish) was done for 6.1.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo